Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 15/06/2020, à 16:47

effree

[RESOLU] Installation pcem

Bonjour,

J'essaye d'installer pcem sur mon ubuntu 20.04 en suivant le tuto mais j'ai un plantage lors de l'installation de paquet.
Sur la commande:

sudo apt-add-repository "deb https://repos.codelite.org/wx3.1.3/ubuntu/ $(lsb_release -sc) universe"

j'ai l'erreur suivante:

Lecture des listes de paquets... Fait
N: Le fichier configuré « universe/binary-i386/Packages » ne sera pas pris en compte car le dépôt « https://repos.codelite.org/wx3.1.3/ubuntu focal InRelease » ne prend pas en charge l'architecture « i386 »

je ne vois pas pourquoi j'ai ce message surtout qu'il parle d'architecture i386 alors que mon système est un x64.
Quelqu'un aurait déjà rencontré ce problème, ou aurait une idée de ce qu'il se passe ?

Merci d'avance

Dernière modification par effree (Le 21/06/2020, à 07:20)

Hors ligne

#2 Le 15/06/2020, à 16:51

Vobul

Re : [RESOLU] Installation pcem

Je ne suis pas certain de ce que j'avance mais je crois que le "N:" au début de la ligne est là pour "Notice", donc ce n'est pas une erreur ("E:") mais juste une information que tu peux ignorer.


Vobul

Hors ligne

#3 Le 15/06/2020, à 17:11

effree

Re : [RESOLU] Installation pcem

Vobul a écrit :

Je ne suis pas certain de ce que j'avance mais je crois que le "N:" au début de la ligne est là pour "Notice", donc ce n'est pas une erreur ("E:") mais juste une information que tu peux ignorer.

Peut-être, j'avoue ne pas savoir, mais comme le paquet n'est pas installé cela bloque la suite de l'installation:

sudo apt install libwxbase3.0-0v5  libwxbase3.0-dev  libwxgtk3.0-0v5  libwxgtk3.0-dev  libwxgtk3.0-gtk3-0v5  libwxgtk3.0-gtk3-dev  wx-common  wx3.0-headers

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet libwxgtk3.0-dev n'est disponible, mais il existe dans la base de données.
Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète ou qu'il n'est disponible que sur une autre source

E: Impossible de trouver le paquet libwxgtk3.0-0v5
E: Le paquet « libwxgtk3.0-dev » n'a pas de version susceptible d'être installée

Et là le E pourrait indiquer une erreur.

Hors ligne

#4 Le 15/06/2020, à 18:28

ylag

Re : [RESOLU] Installation pcem

Bonsoir,

apt install au #3 a écrit :

E: Le paquet « libwxgtk3.0-dev » n'a pas de version susceptible d'être installée

Le paquet libwxgtk3.0-dev n'est pas dans les dépôts réguliers de Focal 20.04.

Pour l'avertissement «le dépôt « https://repos.codelite.org/wx3.1.3/ubuntu focal InRelease » ne prend pas en charge l'architecture « i386 », peut-être essayer en ajoutant [arch=amd64] à l'entrée dans les sources:

deb [arch=amd64] https://repos.codelite.org/wx3.1.3/ubuntu/ focal universe

Si après tu as cette erreur lors de tentatives de mises à jour:

Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 6856E1DB1AC82609

...installer la clé manquante de cette façon:

sudo apt-key adv --keyserver hkp://pool.sks-keyservers.net:80 --recv-keys 6856E1DB1AC82609

...et relancer les mises à jour ?

A+

Dernière modification par ylag (Le 15/06/2020, à 18:52)

Hors ligne

#5 Le 16/06/2020, à 21:52

effree

Re : [RESOLU] Installation pcem

Bonsoir,

J'ai remis la source suivante:

sudo apt-add-repository "deb [arch=amd64] https://repos.codelite.org/wx3.1.3/ubuntu/ focal universe"

L'ajout, sans problème de clef, et l'apt update ne donnent aucune erreur mais l'installation pose toujours problème:

Lecture des informations d'état... Fait
Aucune version du paquet libwxgtk3.0-dev n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Impossible de trouver le paquet libwxgtk3.0-0v5
E: Le paquet « libwxgtk3.0-dev » n'a pas de version susceptible d'être installée

Hors ligne

#6 Le 17/06/2020, à 11:53

ylag

Re : [RESOLU] Installation pcem

Bonjour,

Comme déjà  mentionné au commentaire #4, le paquet libwxgtk3.0-dev n'est pas disponible dans les dépôts réguliers de la 20.04; impossible de l'obtenir en tentant:

sudo apt install libwxgtk3.0-dev

...cette commande retournera toujours le message d'erreur:

E: Le paquet « libwxgtk3.0-dev » n'a pas de version susceptible d'être installée

C'est encore disponible dans les dépôts de la 19.10 (c.f. le lien au commentaire #4), peut-être que tu pourrais en tenter l'installation sur ta 20.04 s'il n'y a pas de problèmes de dépendances. (Le paquet libwxgtk3.0-0v5 des dépôts de la 19.10 sera aussi requis comme dépendance; à voir si ce dernier n'en requiert pas d'autres lui-même.)

Faudra le passage d'intervenant(e)s plus calés que moi pour te proposer d'autres solutions de rechange.

A+

Dernière modification par ylag (Le 17/06/2020, à 12:14)

Hors ligne

#7 Le 17/06/2020, à 12:06

xubu1957

Re : [RESOLU] Installation pcem


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#8 Le 17/06/2020, à 12:19

ylag

Re : [RESOLU] Installation pcem

Re,

Merci @xubu1957!

Donc avant de tenter l'installation de paquets d'une distribution différente, essayer avec le paquet libwxgtk3.0-gtk3-dev:

sudo apt install libwxgtk3.0-gtk3-dev

A+

Dernière modification par ylag (Le 17/06/2020, à 12:20)

Hors ligne

#9 Le 17/06/2020, à 14:22

ylag

Re : [RESOLU] Installation pcem

Bonjour @effree,

Au commentaire #5, tu dis avoir passé la commande suivante:

sudo apt-add-repository "deb [arch=amd64] https://repos.codelite.org/wx3.1.3/ubuntu/ focal universe"

...qui a probablement eu pour effet l'ajout d'une autre entrée dans tes sources?

Vérifie si tu n'aurais pas maintenant deux lignes actives déclarant le dépôt repos.codelite.org; si c'est le cas, supprime celle ne contenant pas [arch=amd64]

A+

Dernière modification par ylag (Le 17/06/2020, à 14:23)

Hors ligne

#10 Le 19/06/2020, à 22:12

effree

Re : [RESOLU] Installation pcem

Bonjour,

En effet après voir lu le commentaire j'ai modifié les paquets à installer :

sudo apt install libwxbase3.0-0v5 \
 libwxbase3.0-dev \
 libwxgtk3.0-gtk3-0v5 \
 libwxgtk3.0-gtk3-dev \
 wx-common \
 wx3.0-headers

et la suite de l'installation s'est déroulée sans problème.

Merci à tous pour votre aide

Hors ligne

#11 Le 19/06/2020, à 22:32

xubu1957

Re : [RESOLU] Installation pcem

Bonjour,

Pour éditer ta discussion et rajouter [Résolu] au début du titre, il faut utiliser le bouton Modifier au bas de ton premier message.

Merci wink


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne